Bug 2015098 - image registry does not remain available during upgrade
Summary: image registry does not remain available during upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Oleg Bulatov
QA Contact: wewang
URL:
Whiteboard:
Depends On: 2005049
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-18 11:58 UTC by OpenShift BugZilla Robot
Modified: 2021-11-02 14:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 14:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 725 0 None open [release-4.8] [release-4.9] Bug 2015098: Avoid disruptions 2021-10-18 11:58:37 UTC
Red Hat Product Errata RHBA-2021:4020 0 None None None 2021-11-02 14:42:13 UTC

Comment 5 W. Trevor King 2021-10-26 01:37:33 UTC
In [1], both 'Application behind service load balancer with PDB is not disrupted' and 'Image registry remain available' had outages of ~100ms.  Perhaps that remaining disruption is an ingress/service thing, and no longer a registry thing?

[1]: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-ci-4.8-e2e-azure-upgrade/1452554396645724160

Comment 6 Oleg Bulatov 2021-10-27 14:05:16 UTC
This fix should be in the version that you are upgrading from. To avoid disruptions the pods that are being deleted (old pods) should stay alive for some time until all components become aware that the pod will disappear.

4.8.0-0.ci-2021-10-21-200323 doesn't have the fix. Newer runs seems to be green.

Comment 10 errata-xmlrpc 2021-11-02 14:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4020


Note You need to log in before you can comment on or make changes to this bug.